diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-general-test.h ns-3.44/src/internet/test/tcp-general-test.h
--- ns-3.43/src/internet/test/tcp-general-test.h	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-general-test.h	2025-03-09 16:55:49.415371200 -0700
@@ -877,13 +877,13 @@
     }
 
     /**
-     * \brief Processed ack
+     * @brief Processed ack
      *
      * Invoked after the processing of the ACK
      *
-     * \param tcb Transmission Control Block
-     * \param h the header of segment
-     * \param who the socket which has processed the ACK (SENDER or RECEIVER)
+     * @param tcb Transmission Control Block
+     * @param h the header of segment
+     * @param who the socket which has processed the ACK (SENDER or RECEIVER)
      */
     virtual void ProcessedAck(const Ptr<const TcpSocketState> tcb [[maybe_unused]],
                               const TcpHeader& h [[maybe_unused]],
@@ -892,28 +892,28 @@
     }
 
     /**
-     * \brief Packet transmitted down to IP layer
+     * @brief Packet transmitted down to IP layer
      *
-     * \param p packet
-     * \param h header
-     * \param who the socket which has received the packet (SENDER or RECEIVER)
+     * @param p packet
+     * @param h header
+     * @param who the socket which has received the packet (SENDER or RECEIVER)
      */
     virtual void Tx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who);
 
     /**
-     * \brief Packet received from IP layer
+     * @brief Packet received from IP layer
      *
-     * \param p packet
-     * \param h header
-     * \param who  the socket which has received the packet (SENDER or RECEIVER)
+     * @param p packet
+     * @param h header
+     * @param who  the socket which has received the packet (SENDER or RECEIVER)
      */
     virtual void Rx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who);
 
     /**
-     * \brief Rto has expired
+     * @brief Rto has expired
      *
-     * \param tcb Transmission control block
-     * \param who where the RTO has expired (SENDER or RECEIVER)
+     * @param tcb Transmission control block
+     * @param who where the RTO has expired (SENDER or RECEIVER)
      */
     virtual void AfterRTOExpired(const Ptr<const TcpSocketState> tcb [[maybe_unused]],
                                  SocketWho who [[maybe_unused]])
@@ -921,10 +921,10 @@
     }
 
     /**
-     * \brief Rto has expired
+     * @brief Rto has expired
      *
-     * \param tcb Transmission control block
-     * \param who where the RTO has expired (SENDER or RECEIVER)
+     * @param tcb Transmission control block
+     * @param who where the RTO has expired (SENDER or RECEIVER)
      */
     virtual void BeforeRTOExpired(const Ptr<const TcpSocketState> tcb [[maybe_unused]],
                                   SocketWho who [[maybe_unused]])
@@ -932,11 +932,11 @@
     }
 
     /**
-     * \brief Updated the Rtt history
-     * \param seq Sequence inserted
-     * \param sz size
-     * \param isRetransmission self-explanatory
-     * \param who where the rtt history was updated
+     * @brief Updated the Rtt history
+     * @param seq Sequence inserted
+     * @param sz size
+     * @param isRetransmission self-explanatory
+     * @param who where the rtt history was updated
      */
     virtual void UpdatedRttHistory(const SequenceNumber32& seq [[maybe_unused]],
                                    uint32_t sz [[maybe_unused]],
@@ -946,25 +946,25 @@
     }
 
     /**
-     * \brief Notifying application for sent data
+     * @brief Notifying application for sent data
      *
-     * \param size the amount of bytes transmitted
-     * \param who where the RTO has expired (SENDER or RECEIVER)
+     * @param size the amount of bytes transmitted
+     * @param who where the RTO has expired (SENDER or RECEIVER)
      */
     virtual void DataSent(uint32_t size [[maybe_unused]], SocketWho who [[maybe_unused]])
     {
     }
 
     /**
-     * \brief Performs the (eventual) final checks through test asserts
+     * @brief Performs the (eventual) final checks through test asserts
      */
     virtual void FinalChecks()
     {
     }
 
     /**
-     * \brief Get the channel Propagation Delay
-     * \return propagation delay of the channel
+     * @brief Get the channel Propagation Delay
+     * @return propagation delay of the channel
      */
     Time GetPropagationDelay() const
     {
@@ -972,8 +972,8 @@
     }
 
     /**
-     * \brief Get the data start time
-     * \return start time of data packets
+     * @brief Get the data start time
+     * @return start time of data packets
      */
     Time GetStartTime() const
     {
@@ -981,8 +981,8 @@
     }
 
     /**
-     * \brief Get the MTU of the environment
-     * \return MTU of the environment
+     * @brief Get the MTU of the environment
+     * @return MTU of the environment
      */
     uint32_t GetMtu() const
     {
@@ -990,8 +990,8 @@
     }
 
     /**
-     * \brief Get the application packet size
-     * \return application packet size
+     * @brief Get the application packet size
+     * @return application packet size
      */
     uint32_t GetPktSize() const
     {
@@ -999,8 +999,8 @@
     }
 
     /**
-     * \brief Get the number of application packets
-     * \return count of application packets to be generated
+     * @brief Get the number of application packets
+     * @return count of application packets to be generated
      */
     uint32_t GetPktCount() const
     {
@@ -1008,9 +1008,9 @@
     }
 
     /**
-     * \brief Get the interval to wait for each packet sent down from application
+     * @brief Get the interval to wait for each packet sent down from application
      * to TCP
-     * \return interval between packet
+     * @return interval between packet
      */
     Time GetPktInterval() const
     {
@@ -1039,71 +1039,71 @@
     // De-multiplexing callbacks.
 
     /**
-     * \brief Normal Close Callback.
-     * \param socket The socket.
+     * @brief Normal Close Callback.
+     * @param socket The socket.
      */
     void NormalCloseCb(Ptr<Socket> socket);
     /**
-     * \brief Error Close Callback.
-     * \param socket The socket.
+     * @brief Error Close Callback.
+     * @param socket The socket.
      */
     void ErrorCloseCb(Ptr<Socket> socket);
     /**
-     * \brief Queue Drop Callback.
-     * \param context The context.
-     * \param p The packet.
+     * @brief Queue Drop Callback.
+     * @param context The context.
+     * @param p The packet.
      */
     void QueueDropCb(std::string context, Ptr<const Packet> p);
     /**
-     * \brief Drop at Phy layer Callback.
-     * \param context The context.
-     * \param p The packet.
+     * @brief Drop at Phy layer Callback.
+     * @param context The context.
+     * @param p The packet.
      */
     void PhyDropCb(std::string context, Ptr<const Packet> p);
     /**
-     * \brief Receive ACK Callback.
-     * \param p The packet.
-     * \param h TCP header.
-     * \param tcp The TCP socket.
+     * @brief Receive ACK Callback.
+     * @param p The packet.
+     * @param h TCP header.
+     * @param tcp The TCP socket.
      */
     void RcvAckCb(Ptr<const Packet> p, const TcpHeader& h, Ptr<const TcpSocketBase> tcp);
     /**
-     * \brief ACK processed Callback.
-     * \param p The packet.
-     * \param h TCP header.
-     * \param tcp The TCP socket.
+     * @brief ACK processed Callback.
+     * @param p The packet.
+     * @param h TCP header.
+     * @param tcp The TCP socket.
      */
     void ProcessedAckCb(Ptr<const Packet> p, const TcpHeader& h, Ptr<const TcpSocketBase> tcp);
     /**
-     * \brief Tx packet Callback.
-     * \param p The packet.
-     * \param h TCP header.
-     * \param tcp The TCP socket.
+     * @brief Tx packet Callback.
+     * @param p The packet.
+     * @param h TCP header.
+     * @param tcp The TCP socket.
      */
     void TxPacketCb(const Ptr<const Packet> p,
                     const TcpHeader& h,
                     const Ptr<const TcpSocketBase> tcp);
     /**
-     * \brief Rx packet Callback.
-     * \param p The packet.
-     * \param h TCP header.
-     * \param tcp The TCP socket.
+     * @brief Rx packet Callback.
+     * @param p The packet.
+     * @param h TCP header.
+     * @param tcp The TCP socket.
      */
     void RxPacketCb(const Ptr<const Packet> p,
                     const TcpHeader& h,
                     const Ptr<const TcpSocketBase> tcp);
     /**
-     * \brief RTO expired Callback.
-     * \param tcb Transmission control block.
-     * \param tcp The TCP socket.
+     * @brief RTO expired Callback.
+     * @param tcb Transmission control block.
+     * @param tcp The TCP socket.
      */
     void RtoExpiredCb(const Ptr<const TcpSocketState> tcb, const Ptr<const TcpSocketBase> tcp);
     /**
-     * \brief Update RTT with new data.
-     * \param tcp The TCP socket.
-     * \param seq The sequence number.
-     * \param sz The segment size.
-     * \param isRetransmission True if packet is a retransmission.
+     * @brief Update RTT with new data.
+     * @param tcp The TCP socket.
+     * @param seq The sequence number.
+     * @param sz The segment size.
+     * @param isRetransmission True if packet is a retransmission.
      */
     void UpdateRttHistoryCb(Ptr<const TcpSocketBase> tcp,
                             const SequenceNumber32& seq,
@@ -1111,35 +1111,35 @@
                             bool isRetransmission);
 
     /**
-     * \brief Invoked after a retransmit event.
-     * \param tcb Transmission control block.
-     * \param tcp The TCP socket.
+     * @brief Invoked after a retransmit event.
+     * @param tcb Transmission control block.
+     * @param tcp The TCP socket.
      */
     void AfterRetransmitCb(const Ptr<const TcpSocketState> tcb, const Ptr<const TcpSocketBase> tcp);
 
     /**
-     * \brief Invoked before a retransmit event.
-     * \param tcb Transmission control block.
-     * \param tcp The TCP socket.
+     * @brief Invoked before a retransmit event.
+     * @param tcb Transmission control block.
+     * @param tcp The TCP socket.
      */
     void BeforeRetransmitCb(const Ptr<const TcpSocketState> tcb,
                             const Ptr<const TcpSocketBase> tcp);
 
     /**
-     * \brief Data sent Callback.
-     * \param socket The socket.
-     * \param size The data size.
+     * @brief Data sent Callback.
+     * @param socket The socket.
+     * @param size The data size.
      */
     void DataSentCb(Ptr<Socket> socket, uint32_t size);
     /**
-     * \brief Fork Callback.
-     * \param tcp The TCP socket.
+     * @brief Fork Callback.
+     * @param tcp The TCP socket.
      */
     void ForkCb(Ptr<TcpSocketMsgBase> tcp);
     /**
-     * \brief Handle an accept connection.
-     * \param socket The socket.
-     * \param from The sender.
+     * @brief Handle an accept connection.
+     * @param socket The socket.
+     * @param from The sender.
      */
     void HandleAccept(Ptr<Socket> socket, const Address& from);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-header-test.cc ns-3.44/src/internet/test/tcp-header-test.cc
--- ns-3.43/src/internet/test/tcp-header-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-header-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -29,16 +29,16 @@
     static_cast<uint8_t>(RandomVariable->GetInteger(0, UINT8_MAX >> 2))
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP header Get/Set test.
+ * @brief TCP header Get/Set test.
  */
 class TcpHeaderGetSetTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param name Test description.
+     * @param name Test description.
      */
     TcpHeaderGetSetTestCase(std::string name);
 
@@ -146,16 +146,16 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP header with RFC793 Options test.
+ * @brief TCP header with RFC793 Options test.
  */
 class TcpHeaderWithRFC793OptionTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param name Test description.
+     * @param name Test description.
      */
     TcpHeaderWithRFC793OptionTestCase(std::string name);
 
@@ -164,15 +164,15 @@
     void DoTeardown() override;
 
     /**
-     * \brief Check an header with only one kind of option.
+     * @brief Check an header with only one kind of option.
      */
     void OneOptionAtTime();
     /**
-     * \brief Check an header for the correct padding.
+     * @brief Check an header for the correct padding.
      */
     void CheckNoPadding();
     /**
-     * \brief Check the correct header deserialization.
+     * @brief Check the correct header deserialization.
      */
     void CheckCorrectDeserialize();
 };
@@ -372,16 +372,16 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP header Flags to String test.
+ * @brief TCP header Flags to String test.
  */
 class TcpHeaderFlagsToString : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param name Test description.
+     * @param name Test description.
      */
     TcpHeaderFlagsToString(std::string name);
 
@@ -441,9 +441,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP header TestSuite
+ * @brief TCP header TestSuite
  */
 class TcpHeaderTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-highspeed-test.cc ns-3.44/src/internet/test/tcp-highspeed-test.cc
--- ns-3.43/src/internet/test/tcp-highspeed-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-highspeed-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,18 +16,18 @@
 NS_LOG_COMPONENT_DEFINE("TcpHighSpeedTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TcpHighSpeed
+ * @brief Testing the congestion avoidance increment on TcpHighSpeed
  */
 class TcpHighSpeedIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param name Test description.
      */
     TcpHighSpeedIncrementTest(uint32_t cWnd, uint32_t segmentSize, const std::string& name);
 
@@ -70,18 +70,18 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance decrement on TcpHighSpeed
+ * @brief Testing the congestion avoidance decrement on TcpHighSpeed
  */
 class TcpHighSpeedDecrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param name Test description.
      */
     TcpHighSpeedDecrementTest(uint32_t cWnd, uint32_t segmentSize, const std::string& name);
 
@@ -123,9 +123,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TcpHighSpeed Congestion window values to test.
+ * @brief TcpHighSpeed Congestion window values to test.
  */
 struct HighSpeedImportantValues
 {
@@ -164,9 +164,9 @@
 #define HIGHSPEED_VALUES_N 71
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP HighSpeed TestSuite
+ * @brief TCP HighSpeed TestSuite
  */
 class TcpHighSpeedTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-htcp-test.cc ns-3.44/src/internet/test/tcp-htcp-test.cc
--- ns-3.43/src/internet/test/tcp-htcp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-htcp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -24,23 +24,23 @@
 NS_LOG_COMPONENT_DEFINE("TcpHtcpTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TcpHtcp
+ * @brief Testing the congestion avoidance increment on TcpHtcp
  */
 class TcpHtcpIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param segmentsAcked Segments already ACKed.
-     * \param lastCongestion Last congestion time.
-     * \param firstAck First ACK time.
-     * \param secondAck Second ACK time.
-     * \param expectedCwnd Expected cWnd.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param segmentsAcked Segments already ACKed.
+     * @param lastCongestion Last congestion time.
+     * @param firstAck First ACK time.
+     * @param secondAck Second ACK time.
+     * @param expectedCwnd Expected cWnd.
+     * @param name Test description.
      */
     TcpHtcpIncrementTest(uint32_t cWnd,
                          uint32_t segmentSize,
@@ -84,7 +84,7 @@
 }
 
 /**
- * \brief Since the calculation depends on the throughput and its associated
+ * @brief Since the calculation depends on the throughput and its associated
  * timing, we schedule a few exact events. We get the value from HTCP methods
  * during the simulation and compare them with their associated expected
  * values calculated from the algorithm by hand.
@@ -114,13 +114,13 @@
                         cong,
                         m_state,
                         m_segmentsAcked,
-                        Time(ns3::MilliSeconds(80)));
+                        MilliSeconds(80));
     Simulator::Schedule(Time(m_secondAck),
                         &TcpHtcp::PktsAcked,
                         cong,
                         m_state,
                         m_segmentsAcked,
-                        Time(ns3::MilliSeconds(100)));
+                        MilliSeconds(100));
 
     Simulator::Run();
     NS_LOG_DEBUG("Simulation ran for the scheduled events");
@@ -135,9 +135,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Htcp TestSuite.
+ * @brief TCP Htcp TestSuite.
  *
  * The following tests simulate conditions after a congestion event and
  * return to 1/2 ssthresh. After that, two acks are scheduled and the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-hybla-test.cc ns-3.44/src/internet/test/tcp-hybla-test.cc
--- ns-3.43/src/internet/test/tcp-hybla-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-hybla-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,20 +16,20 @@
 NS_LOG_COMPONENT_DEFINE("TcpHyblaTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TcpHybla
+ * @brief Testing the congestion avoidance increment on TcpHybla
  */
 class TcpHyblaIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param ssThresh Slow Start Threshold.
-     * \param segmentSize Segment size.
-     * \param rtt Round trip time.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param ssThresh Slow Start Threshold.
+     * @param segmentSize Segment size.
+     * @param rtt Round trip time.
+     * @param name Test description.
      */
     TcpHyblaIncrementTest(uint32_t cWnd,
                           uint32_t ssThresh,
@@ -41,9 +41,9 @@
     void DoRun() override;
 
     /**
-     * \brief Tracks TCP Hybla rho parameter changes.
-     * \param oldVal Previous value.
-     * \param newVal Actual value.
+     * @brief Tracks TCP Hybla rho parameter changes.
+     * @param oldVal Previous value.
+     * @param newVal Actual value.
      */
     void RhoUpdated(double oldVal, double newVal);
 
@@ -136,9 +136,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Hybla TestSuite
+ * @brief TCP Hybla TestSuite
  */
 class TcpHyblaTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-illinois-test.cc ns-3.44/src/internet/test/tcp-illinois-test.cc
--- ns-3.43/src/internet/test/tcp-illinois-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-illinois-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -23,24 +23,24 @@
 NS_LOG_COMPONENT_DEFINE("TcpIllinoisTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TcpIllinois C-AIMD algorithm tests.
+ * @brief TcpIllinois C-AIMD algorithm tests.
  */
 class TcpIllinoisTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param ssThresh Slow Start Threshold.
-     * \param segmentSize Segment size.
-     * \param cntRtt RTT counter.
-     * \param maxRtt Max RTT.
-     * \param segmentsAcked Number of segments ACKed.
-     * \param nextTxSeq Next Tx sequence number.
-     * \param lastAckedSeq Last ACKed sequence number.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param ssThresh Slow Start Threshold.
+     * @param segmentSize Segment size.
+     * @param cntRtt RTT counter.
+     * @param maxRtt Max RTT.
+     * @param segmentsAcked Number of segments ACKed.
+     * @param nextTxSeq Next Tx sequence number.
+     * @param lastAckedSeq Last ACKed sequence number.
+     * @param name Test description.
      */
     TcpIllinoisTest(uint32_t cWnd,
                     uint32_t ssThresh,
@@ -55,37 +55,37 @@
   private:
     void DoRun() override;
     /**
-     * \brief Increases the TCP window.
-     * \param cong The congestion control.
+     * @brief Increases the TCP window.
+     * @param cong The congestion control.
      */
     void IncreaseWindow(Ptr<TcpIllinois> cong);
     /**
-     * \brief Recalculate the internal TCP Illinois params.
-     * \param cong The congestion control.
+     * @brief Recalculate the internal TCP Illinois params.
+     * @param cong The congestion control.
      */
     void RecalcParam(Ptr<TcpIllinois> cong);
     /**
-     * \brief Calculate the maximum delay.
-     * \returns The maximum delay.
+     * @brief Calculate the maximum delay.
+     * @returns The maximum delay.
      */
     Time CalculateMaxDelay();
     /**
-     * \brief Calculate the average delay.
-     * \returns The average delay.
+     * @brief Calculate the average delay.
+     * @returns The average delay.
      */
     Time CalculateAvgDelay();
     /**
-     * \brief Calculate the TCP Illinois alpha param.
-     * \param cong The congestion control.
-     * \param da Average delay (in milliseconds).
-     * \param dm Maximum delay (in milliseconds).
+     * @brief Calculate the TCP Illinois alpha param.
+     * @param cong The congestion control.
+     * @param da Average delay (in milliseconds).
+     * @param dm Maximum delay (in milliseconds).
      */
     void CalculateAlpha(Ptr<TcpIllinois> cong, double da, double dm);
     /**
-     * \brief Calculate the TCP Illinois beta param.
-     * \param cong The congestion control.
-     * \param da Average delay (in milliseconds).
-     * \param dm Maximum delay (in milliseconds).
+     * @brief Calculate the TCP Illinois beta param.
+     * @param cong The congestion control.
+     * @param da Average delay (in milliseconds).
+     * @param dm Maximum delay (in milliseconds).
      */
     void CalculateBeta(Ptr<TcpIllinois> cong, double da, double dm);
     /**
@@ -333,9 +333,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Illinois TestSuite
+ * @brief TCP Illinois TestSuite
  */
 class TcpIllinoisTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-ledbat-test.cc ns-3.44/src/internet/test/tcp-ledbat-test.cc
--- ns-3.43/src/internet/test/tcp-ledbat-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-ledbat-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -19,24 +19,24 @@
 NS_LOG_COMPONENT_DEFINE("TcpLedbatTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief LEDBAT should be same as NewReno during slow start, and when timestamps are disabled
+ * @brief LEDBAT should be same as NewReno during slow start, and when timestamps are disabled
  */
 class TcpLedbatToNewReno : public TestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param cWnd congestion window
-     * \param segmentSize segment size
-     * \param ssThresh slow start threshold
-     * \param segmentsAcked segments acked
-     * \param highTxMark high tx mark
-     * \param lastAckedSeq last acked seq
-     * \param rtt RTT
-     * \param name Name of the test
+     * @param cWnd congestion window
+     * @param segmentSize segment size
+     * @param ssThresh slow start threshold
+     * @param segmentsAcked segments acked
+     * @param highTxMark high tx mark
+     * @param lastAckedSeq last acked seq
+     * @param rtt RTT
+     * @param name Name of the test
      */
     TcpLedbatToNewReno(uint32_t cWnd,
                        uint32_t segmentSize,
@@ -50,7 +50,7 @@
   private:
     void DoRun() override;
     /**
-     * \brief Execute the test
+     * @brief Execute the test
      */
     void ExecuteTest();
 
@@ -86,7 +86,7 @@
 void
 TcpLedbatToNewReno::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpLedbatToNewReno::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpLedbatToNewReno::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -120,24 +120,24 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test to validate cWnd increment in LEDBAT
+ * @brief Test to validate cWnd increment in LEDBAT
  */
 class TcpLedbatIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param cWnd congestion window
-     * \param segmentSize segment size
-     * \param ssThresh slow start threshold
-     * \param segmentsAcked segments acked
-     * \param highTxMark high tx mark
-     * \param lastAckedSeq last acked seq
-     * \param rtt RTT
-     * \param name Name of the test
+     * @param cWnd congestion window
+     * @param segmentSize segment size
+     * @param ssThresh slow start threshold
+     * @param segmentsAcked segments acked
+     * @param highTxMark high tx mark
+     * @param lastAckedSeq last acked seq
+     * @param rtt RTT
+     * @param name Name of the test
      */
     TcpLedbatIncrementTest(uint32_t cWnd,
                            uint32_t segmentSize,
@@ -151,7 +151,7 @@
   private:
     void DoRun() override;
     /**
-     * \brief Execute the test
+     * @brief Execute the test
      */
     void ExecuteTest();
 
@@ -187,7 +187,7 @@
 void
 TcpLedbatIncrementTest::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpLedbatIncrementTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpLedbatIncrementTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -222,24 +222,24 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test to validate cWnd decrement in LEDBAT
+ * @brief Test to validate cWnd decrement in LEDBAT
  */
 class TcpLedbatDecrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param cWnd congestion window
-     * \param segmentSize segment size
-     * \param ssThresh slow start threshold
-     * \param segmentsAcked segments acked
-     * \param highTxMark high tx mark
-     * \param lastAckedSeq last acked seq
-     * \param rtt RTT
-     * \param name Name of the test
+     * @param cWnd congestion window
+     * @param segmentSize segment size
+     * @param ssThresh slow start threshold
+     * @param segmentsAcked segments acked
+     * @param highTxMark high tx mark
+     * @param lastAckedSeq last acked seq
+     * @param rtt RTT
+     * @param name Name of the test
      */
     TcpLedbatDecrementTest(uint32_t cWnd,
                            uint32_t segmentSize,
@@ -253,7 +253,7 @@
   private:
     void DoRun() override;
     /**
-     * \brief Execute the test
+     * @brief Execute the test
      */
     void ExecuteTest();
 
@@ -289,7 +289,7 @@
 void
 TcpLedbatDecrementTest::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpLedbatDecrementTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpLedbatDecrementTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -327,9 +327,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Ledbat TestSuite
+ * @brief TCP Ledbat TestSuite
  */
 class TcpLedbatTestSuite : public TestSuite
 {
